package com.fdkankan.platform.goods.service;


import com.fdkankan.platform.goods.entity.Camera;
import com.fdkankan.platform.goods.vo.ResponseCameraApp;
import com.fdkankan.platform.user.request.RequestCamera;
import com.fdkankan.platform.user.vo.ResponseCamera;

import java.util.List;

public interface IDeviceService {

    ResponseCameraApp getCameraInfo(RequestCamera param);

    List<ResponseCameraApp> getCamerasForUser(RequestCamera camera);

    ResponseCamera getCameraDetail(Long cameraId) throws Exception;

    String bindCamera(RequestCamera camera) throws Exception;

    ResponseCameraApp bindProCamera(RequestCamera camera) throws Exception;



    Camera findByChildNameAndChildPassword(String appUserName, String appPassword) throws Exception;

    String unbind(RequestCamera camera) throws Exception;

    String unbindPro(RequestCamera camera) throws Exception;



}
